about summary refs log tree commit diff stats
path: root/pre.sh
diff options
context:
space:
mode:
authorCharadon <dev@iotib.net>2022-07-16 21:53:48 -0400
committerCharadon <dev@iotib.net>2022-07-16 21:53:48 -0400
commitc554c86a6ae091b15f41b97b682f574477d4bdd4 (patch)
tree0c7fdf6dd3ce7649cc08b256ea275e2db1117652 /pre.sh
parentc9a15281b7328742a59c46eb3171754ce9e30bff (diff)
downloaddscip-c554c86a6ae091b15f41b97b682f574477d4bdd4.tar.gz
Removed chroot support as that's out of scope of the project
Diffstat (limited to 'pre.sh')
-rwxr-xr-xpre.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/pre.sh b/pre.sh
index 0d614ed..824ea8c 100755
--- a/pre.sh
+++ b/pre.sh
@@ -1,5 +1,16 @@
 #!/bin/sh
+set -eu
 
-# Execute commands before building. #
+# Execute commands before building.                                            #
+# Below is an example.                                                         #
+
+# Build user implied to have sudo access to apt update and upgrade             #
+sudo apt update
+sudo apt upgrade
+
+# Including assets with game code is usually a bad idea, so we grab the assets #
+# from a mirror.                                                               #
+wget https://www.example.com/project/game_assets.zip
+unzip game_assets.zip
 
 exit 0